Page MenuHomePhabricator

Test framework for special pages.
Closed, ResolvedPublic

Description

SpecialWikibaseRepoPage depends on a lot of services. We should have a easy way to mock these for creating test cases.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterAvoid using DB_MASTER on account authentication
mediawiki/extensions/Wikibase : masterSplit and refactor large SpecialPageTestBase method
mediawiki/extensions/Wikibase : masterSupply edit token when testing special pages.
mediawiki/extensions/Wikibase : masterMock services for SpecialWikibaseRepoPage

Event Timeline

daniel created this task.Mar 11 2015, 12:10 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added subscribers: Aklapper, daniel.

Change 194516 had a related patch set uploaded (by Daniel Kinzler):
Mock services for SpecialWikibaseRepoPage

https://gerrit.wikimedia.org/r/194516

daniel claimed this task.Mar 11 2015, 12:10 PM
daniel moved this task from Backlog to Review on the § Wikidata-Sprint-2015-02-25 board.

Change 194960 had a related patch set uploaded (by Daniel Kinzler):
Supply edit token when testing special pages.

https://gerrit.wikimedia.org/r/194960

Lydia_Pintscher triaged this task as Normal priority.Mar 13 2015, 11:20 AM

Change 194516 merged by jenkins-bot:
Mock services for SpecialWikibaseRepoPage

https://gerrit.wikimedia.org/r/194516

Change 194960 merged by jenkins-bot:
Supply edit token when testing special pages.

https://gerrit.wikimedia.org/r/194960

Change 199913 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Split and refactor large SpecialPageTestBase method

https://gerrit.wikimedia.org/r/199913

Change 199913 merged by jenkins-bot:
Split and refactor large SpecialPageTestBase method

https://gerrit.wikimedia.org/r/199913

Tobi_WMDE_SW closed this task as Resolved.Mar 30 2015, 9:35 AM
Tobi_WMDE_SW moved this task from Review to Done on the § Wikidata-Sprint-2015-03-24 board.
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

Change 348033 had a related patch set uploaded (by Aaron Schulz):
[mediawiki/extensions/CentralAuth@master] Avoid using DB_MASTER on account authentication

https://gerrit.wikimedia.org/r/348033

Change 348033 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Avoid using DB_MASTER on account authentication

https://gerrit.wikimedia.org/r/348033